<?php
require_once 'core/system.php';

include 'core/func_online.php';
reg();

if(isset($_GET['brak']) and !empty($_GET['id'])){
    $ers = int($_GET['id']);
$rowi = $dbc->query("SELECT * FROM `users` WHERE `id`='".$ers."' LIMIT 1")->fetch_assoc();

if($user['brak']>0){ header('location:index.php');exit;}
if($rowi['brak']>0){ header('location:index.php');exit;}

if($user['sex']!=1){ header('location:index.php');exit;}

if($user['level']<45){ header('location:index.php');exit;}



if($rowi['sex']!=2){ header('location:index.php');exit;}

if($user['gold']<1000){ header('location:index.php');exit;}



$dbc->query("INSERT INTO `brak` (man,women,active) values('".$user['id']."','".$rowi['id']."',1)");


$res  = $dbc->insert_id;




$dbc->query("INSERT INTO `journal` SET `user_id`='".$rowi['id']."', `text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> Сделал вам предложение <br><a id=\"link_button\" href=\"brak.php?id=".$res."&amp;yes\">Согласиться</a>'


,`time`='".time()."'

"); 

$dbc->query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$rowi['id']."'");

$dbc->query("UPDATE `users` SET `gold`=`gold`-1000 WHERE `id`='".$user['id']."'"); 



$_SESSION['message']='Вы отправили Предложение '.$rowi['login'].'';



header('location:pers?ank='.$ers.'');exit;



}

if(isset($_GET['sen']) and !empty($_GET['id'])){
    $er = int($_GET['id']);
$row = $dbc->query("SELECT * FROM `users` WHERE `id`='".$er."' LIMIT 1")->fetch_assoc();

$banda=$dbc->query("SELECT * FROM `banda`where `id`= '".$user['banda']."' ")->fetch_assoc();  


if(!$er){ header('location:index.php');exit;}
if($row['banda']>0){ header('location:index.php');exit;}
if($banda['lider']!=$user['id']){ header('location:index.php');exit;}


if($banda['war']==1){ header('location:index.php');exit;}

$dbc->query("INSERT INTO `journal` SET `user_id`='".$row['id']."', `text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> пригласил Вас в подземелье ".$banda['name']."<br><a id=\"link_button\" href=\"dung.php?id=".$user['banda']."&amp;nex\">Вступить</a>',



    `time`='".time()."'");
$dbc->query("UPDATE `users` SET `journal`=`journal`+1 WHERE `id`='".$row['id']."'");



$_SESSION['message']='Приглашение Отправлено';

header('location:pers?ank='.$row['id'].'');exit;


}  
$pers_id = int($_GET['ank']);
$ank = $dbc->query("SELECT * FROM `users` WHERE `id`='".$pers_id."' LIMIT 1")->fetch_assoc();
	if(!$ank){
	head('Профиль');

echo '<div id="error">Такого пользователя не существует</div>';
	foot();
	exit;
	}
	
	if($user['id']==$pers_id){
	header('Location: my.php');
	exit;
	}
head('Персонаж '.$ank['login']);
$ank['oput'] = nifa($ank['oput']);

if($ank['defense'] < 1600){ $brony=$ank['defense'] * 5 / 100;}elseif($ank['defense'] >= 1600){ $brony = 80;}

$brony = floor($brony);

$sila = $ank['strength'] +$ank['dobav'];
$crit= $sila * 50 / 100; $crit = ceil($crit);

$crit = $sila +$crit;

$stat = $dbc->query("SELECT * FROM `status` WHERE `user` = '".$ank['id']."' LIMIT 1")->fetch_assoc();




if($stat){ $stati= '</br> <span class=c-sil><img src=/img/at/stat.png> '.$stat['status'].'</span>'; }else{ $stati =''; }



/*
if($ank['pers']==1){

$inf = array('Новичок','Охотник','Воитель','Лорд','Палач','Воин Теней','Разрушитель','Покоритель Судеб','Темный Лорд','Бессмертный Герой'); }


if($ank['pers']==2){

$inf = array('Новичок','Послушник','Колдун','Магистр','Повелитель Огня','Маг Теней','Владыка Судеб','Лунный Лорд','Аватар','Ведьмак'); }
*/
if($ank['pers']==1){
$inf = array('Новичок','Охотник','Воитель','Лорд','Палач','Воин Теней','Разрушитель','Покоритель Судеб','Темный Лорд','Бессмертный Герой','Высший герой','Могучий воин'); }


if($ank['pers']==2){
$inf = array('Новичок','Послушник','Колдун','Магистр','Повелитель Огня','Маг Теней','Владыка Судеб','Лунный Лорд','Аватар','Ведьмак','Темный Правитель','Возвышеный Правитель'); }



$rang_name = $inf[$ank['rang']];



if($ank['clan_rang']==1){ $clan_rang='<span class="minor">Новичок</span>'; }
if($ank['clan_rang']==2){ $clan_rang='<span class="info">Рядовой</span>'; }

if($ank['clan_rang']==3){ $clan_rang='<span class="iSuperior">Ветеран</span>'; }

if($ank['clan_rang']==4){ $clan_rang='<span class="iEpic">Генерал</span>'; }


if($ank['clan_rang']==5){ $clan_rang='<span class="bluepost">Лидер</span>'; }

		
		if(isset($_GET['clon']) and $user['admins']>0){
if($ank['id']==1){header ('location: index.php');exit;}
echo '<div class="name">Возможные клоны <a href="pers.php?ank='.$ank['id'].'">'.$ank['login'].'</a></div>';
$clon_q = $dbc->query("SELECT `ip`,`id`,`login`,`reg_time`,`ua` FROM `users` WHERE `ip`='".$ank['ip']."' ORDER BY `id` DESC");

		while($clon = $clon_q->fetch_assoc()){

echo '<div class="row"><a href="pers.php?ank='.$clon['id'].'">'.$clon['login'].'</a>('.$clon['ua'].')<br>рега: '.clock($clon['reg_time']).'</div>';
		}
		foot();
		exit;
		}
		
	if($user['admins']>1 and isset($_GET['mail']) and !empty($_GET['ank'])){
		if($_GET['ank']==1 AND $user['id'] !=1){
		echo '<div id="error">Почти получилось...</div>';
		foot();
		exit;
		}
	echo '<div class="name">Почта <a href="pers.php?ank='.$ank['login'].'">'.$ank['login'].'</a></div>';
	$total = $dbc->query("SELECT `id` FROM `mail` WHERE `to_id`='".$pers_id."' OR `from_id`='".$pers_id."'"); $total = $total->num_rows;

		if($total == 0){
		echo '<div class="row">Пусто :)</div>';
		foot();
		exit;
		}
	$mail_q = $dbc->query("SELECT * FROM `mail` WHERE `to_id`='".$pers_id."' OR `from_id`='".$pers_id."' ORDER BY `time` DESC LIMIT ".$page.",".$set['str']." ");

		while($mail= $mail_q->fetch_assoc()){

		$us = $dbc->query("SELECT `id`,`login` FROM `users` WHERE `id`='".$mail['from_id']."'")->fetch_assoc();

		if($mail['from_id']==1 and $user['id']!=1){
		echo '<div class="row">Сообщение от Админа</div>';
		}else{
		echo '<div class="row"><a href="pers.php?ank='.$us['id'].'">'.$us['login'].'</a><small>['.clock($mail['time']).']</small><br>
		'.$mail['text'].'</div>';
		}
	}
		if($total > $set['str'])
	{
		pages($page, $total, 'pers.php?ank='.$pers_id.'&amp;mail&amp;', $set['str']);
	}
	
	foot();
	exit;
	}
	if($user['admins']>0 and isset($_GET['ban']) and !empty($_GET['ank'])){
		if($ank['ban']==1){
		echo '<div id="error">Пользователь уже заблокирован</div>';
		foot();
		exit;
		}
		if($ank['id']==1){
		echo '<div class="row">:)</div>';
		foot();
		exit;
		}
$why_ban = protect($_POST['why_ban']);

	if(empty($_POST['why_ban'])){
echo '<div class="row"><form action="pers.php?ank='.$pers_id.'&ban" method="post">
	Причина блокировки:<br>
	<textarea name="why_ban"></textarea>
	<input type="submit" value="Блок">
	</form></div>';
	}else{
	echo '<div id="ok">Пользователь успешно заблокирован!</div>';
	$dbc->query("UPDATE `users` SET `ban`=1,`ban_why`='".$why_ban."' WHERE `id`='".$pers_id."'");

	$dbc->query("INSERT INTO `admin_log` SET 

	`text`='<a href=\"pers.php?ank=".$user['id']."\">".$user['login']."</a> заблокировал для входа в игру <a href=\"pers.php?ank=".$ank['id']."\">".$ank['login']."</a>. Причина: <b>".$why_ban."</b>',
	`time`='".time()."'");
$dbc->query("INSERT INTO `chat` SET
	`user_id`='".$user['id']."',
	`text`='<span style=\"color: #d41111\"><b>".$ank['login']."</b> заблокирован для входа в игру. Причина: <b>".$why_ban."</b></span>',
	`time`='".time()."'");
	}
	foot();
	exit;
	}
	
	
$pers = $dbc->query("SELECT `name` FROM `pers` WHERE `id`='".$ank['pers']."'")->fetch_assoc();



	if($user['id']==1) 
	{

	if(empty($ank['ip'])){
	$ank['ip']=='пусто';
	}
	echo '

	
	<div class="main">
	
	<div class="menuList">
	


<a class="btn" href="http://ipgeobase.ru/?address='.$ank['ip'].'"><img src="img/ico.png" alt=""> Дополнительные данные из интернета</a>

<a class="btn" href="pers.php?ank='.$ank['id'].'&amp;clon"><img src="img/ico.png" alt=""> Возможные мульты этого персонажа</a></li></br>

<a class="btn" href="pers.php?ank='.$pers_id.'&amp;ban"><img src="img/ico.png" alt=""> Заблокировать персонажа</a>





</div>		

<div class="line"></div>		';
	
		
	if($user['id']==1){
		
echo '

</div>

<div class="mini-line"></div>

<div class="block_zero center">

<form action="admins.php?admins='.$pers_id.'" method="post">

			<select name="user_admins">
			
			<option value="0">Пользователь</option>
			
			<option value="1">Модератор</option>
			
			</select>
			
			<span class="btn">
			
			<span class="end">
		
		<input class="label" type="submit" value="Назначить">
		
					</span>
					
										</span>
			
			</form>
			
			</div>		
</br><li><a href="admins.php?ank='.$pers_id.'&amp;money_pers"><img src="img/ico.png" alt=""> Изменить счет</a></li></br>
<li><a href="pers.php?ank='.$pers_id.'&amp;mail"><img src="img/ico.png" alt=""> Читать почту персонажа</a></li></br>
			
<div class="line"></div>			
			
			';
		}
	echo '</div>';
	}
	
if($ank['ban']==1){
echo '<div class="main"><div class="b-notice trsmgr2 center"><font color="red">Персонаж заблокирован !!!</font><div class="separ"></div>
Причина: '.$ank['ban_why'].'</div><div class="line"></div>';
}

$ank_admin = '(<span style="color: #88b775; font-weight: bold;">Игрок</span>)';
if($ank['admins']>0){
$ank_admin = '(<span style="color: #88b775; font-weight: bold;">Модератор</span>)';
}
if($ank['id']==1){
$ank_admin = '(<span style="color: #88b775; font-weight: bold;">Администратор</span>)';
}
	if($ank['clan']>0){
$clan_name = $dbc->query("SELECT * FROM `clan` WHERE `id`='".$ank['clan']."' LIMIT 1")->fetch_assoc();
$clan = '<img src="img/clan_m/'.$clan_name['storona'].'.png"><a href="clan.php?clan='.$ank['clan'].'">'.$clan_name['name'].'</a> '.$clan_rang.'<br>';



}else{$clan = '';}

// Параметры    
?><div class="b-panel-new dblue-panel bordered mt2"><table cellpadding="0" cellspacing="0" border="0">

<tbody>
<td valign="top"><a href="/avatar.php"><img src="/img/avatar/<?=$ank['sex']?>/<?=$ank['avatar']?>.png"   class="st<?=$ank['storona']?>" ></a></td><?







?><td valign="top" style="padding-left:4px;"><img src="/img/class/<?=$ank['storona']?>/<?=$ank['pers']?>/pers.png"><?=$ank['login']?>, <?=$ank['level']?> уровень 
<?=$ank_admin?><br/>

<?=$clan?><img src="img/icon/rang.png">Ранг: <a href="rang.php"><?=$rang_name?></a><?=$stati?><?





if($ank['brak']>0){

 $brak  = $dbc->query(" select * from `users` where `id` = '".$ank['brak']."'")->fetch_assoc();    

?></br>Состоит в браке с :<a href="pers.php?ank=<?=$brak['id']?>"><img src="img/class/<?=$brak['storona']?>/<?=$brak['pers']?>/pers.png" width="14" height="14" alt="*"><?=$brak['login']?></a><?}




?></td></tbody></table></div><?






	
echo '


<table width="100%"><tr><td width="50%"><a class="btn nav-btn" href="/mail.php?ank='.$ank['id'].'"><img src="/img/stat/topor.png" alt="*" width="12" height="12"class="link-icon"/>Написать</a></td><td width="50%"><a class="btn nav-btn"href="art.php?ank='.$ank['id'].'"><img src="/img/stat/topor.png" alt="" width="12"height="12" class="link-icon"/>Снаряжение</a></td></tr></table>




<div class="lblue-panel"><ul><li class="mt3"><img src="/img/stat/hp.png" alt="." width="12" height="12" class="link-icon"/>Живучесть: <span>'.$ank['max_health'].'</span> <span class="minor"> (<span>'.$ank['health'].'</span> здоровья)</span></li><li class="mt3"><img src="/img/stat/AKulak.png" alt="." width="12" height="12" class="link-icon"/>Сила: <span>'.$ank['strength'].'</span> <span class="minor">(удар ~<span>'.$sila.'</span>)</span></li><li class="mt3"><img src="/img/stat/mp.png" alt="." width="12" height="12" class="link-icon"/>Крит: <span>'.$ank['crit'].' % </span>(удар ~<span>'.$crit.'</span>)</li><li class="mt3"><img src="/images/icons/armor.png" alt="." width="12" height="12" class="link-icon"/>Защита:<span>'.$ank['defense'].'</span> <span class="minor">(<span>'.$brony.'</span>%)</span></li><li class="mt3"><img src="/images/icons/regen.png" alt="." width="12" height="12" class="link-icon"/>Регенерация: <span>'.$ank['regen'].' </span></li><li class="mt3"><img src="/images/icons/sok.png" alt="." width="12" height="12" class="link-icon"/>Сокрушение: <span>'.$ank['sokru'].' %</span></li><li class="mt3"><img src="/images/icons/vampir.png" alt="." width="12" height="12" class="link-icon"/>Вампиризм: <span>'.$ank['vampir'].' %</span></li></li><li class="mt3"><img src="/images/icons/exp.png" alt="." width="12" height="12" class="link-icon"/>Опыт:<span>'.$ank['oput'].'</span></li><div class="lblue-panel">';

include 'pers_bonus.php';



?><a href="trof.php?us=<?=$ank['id']?>"><b><span class="iEpic">Трофеи</span></b></a></br><?



if($ank['god']==1 and $ank['pers']==1){?><img src="img/stat/day.png"><span class="info">Рыцарь Дня</span></br><?}


if($ank['god']==1 and $ank['pers']==2){?><img src="img/stat/day.png"><span class="info">Чародей Дня</span></br><?}


  $pets = $dbc->query("SELECT * FROM `user_pets` WHERE `id_user` = '".$pers_id."'")->fetch_assoc();  

if($pets){ ?><img src="<?=$pets['img']?>" width="32" height="32" alt="*" "/>

<a href="pet.php?id=<?=$pers_id?>"><span class=<?=$pets['lite']?>><?=$pets['name']?></span></a></span>



</br><? }




echo'<div class="center font14"><h2>Способности</a></h2></div><div class="panel-inner-2"><div class="center"><a class="i-amu" href="/amulet_upp.php"><img height="32" width="32" src="/images/am/plazm.png"><div class="mt2">Сияние Плазмы</div><span class="amu-lvl">'.$ank['amulet2'].'</span></a><a class="i-amu" href="/amulet_up.php"><img height="32" width="32" src="/images/am/ten.png"><div class="mt2">Душа Тени</div><span class="amu-lvl">'.$ank['amulet1'].'</span></a></div></div></div>











';

	

if($user['sex']==1 and $ank['brak']==0 and $user['brak']==0 and $user['level']>=45  and $ank['sex']==2){ 





 ?><a href="pers?id=<?=$ank['id']?>&amp;brak" onclick="return confirm ('Уверены? Стоимость 1000 золота')">Сделать Предложение</a></p></br><?




}



if($user['banda']>0){


$banda=$dbc->query("SELECT * FROM `banda`where `id`= '".$user['banda']."' ")->fetch_assoc();  




if($user['id']==$banda['lider'] and $banda['war']==0 and $ank['banda']==0){     ?><a href="pers?id=<?=$ank['id']?>&amp;sen">Пригласить в Банду</a></br><?  }}









	











	

if($user['storona']==$ank['storona']){


	if($user['clan_rang']>3 and $ank['clan']==0){


echo '<a href="clan.php?invite&amp;ank='.$ank['id'].'"><img src="img/icon/clan.png" width="20" height="20" alt="">Пригласить в клан</a>';
	}
}
	

	









	
	
	echo '
	
	<div class="mini-line"></div>	

<div class="block_zero">	

Последняя активность: '.clock($ank['time']).'<br>
Дата регистрации: '.clock($ank['reg_time']).'<br>

</div></div></div></div>';

foot();

?>